-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

===========================================================================
             AUSCERT External Security Bulletin Redistribution

                               ESB-2019.3391
           SYMSA1492-Linux Kernel Vulnerabilities May-June 2019
                             6 September 2019

===========================================================================

        AusCERT Security Bulletin Summary
        ---------------------------------

Product:           Symantec Advanced Secure Gateway (ASG)
                   Symantec Content Analysis (CA)
                   Symantec Director Mail Threat Defense (MTD)
                   Symantec Malware Analysis (MA)
                   Symantec Management Center (MC)
                   Symantec PacketShaper (PS) S-Series
                   Symantec PolicyCenter (PC) S-Series
                   Symantec Reporter
                   Symantec Security Analytics (SA)
                   Symantec SSL Visibility (SSLV)
                   Symantec Web Isolation (WI)
                   Symantec X-Series XOS
Publisher:         Symantec
Operating System:  Windows
                   UNIX variants (UNIX, Linux, OSX)
                   Network Appliance
                   Virtualisation
Impact/Access:     Increased Privileges -- Remote/Unauthenticated
                   Denial of Service    -- Remote/Unauthenticated
Resolution:        Patch/Upgrade
CVE Names:         CVE-2019-11815 CVE-2019-11479 CVE-2019-11478
                   CVE-2019-11477  

Reference:         ASB-2019.0178
                   ASB-2019.0174
                   ASB-2019.0172
                   ESB-2019.3335
                   ESB-2019.3313
                   ESB-2019.3208

Original Bulletin: 
   http://support.symantec.com/us/en/article.SYMSA1492.html

- --------------------------BEGIN INCLUDED TEXT--------------------

Linux Kernel Vulnerabilities May-June 2019

SYMSA1492
Last Updated September 05, 2019
Initial Publication Date September 05, 2019
Copy Article Title/URL
 
Feedback
 
Subscribe


  o Status: Open
  o Severity: High
  o CVSS Base Score: 8.1

Summary

Affected Products


+-----------------------------------------------------------------------------+
|                        Advanced Secure Gateway (ASG)                        |
+------------------+------------------------------------------+---------------+
|       CVE        |Supported Version(s)                      |Remediation    |
+------------------+------------------------------------------+---------------+
|                  |6.7 (only if configured with TCP client   |Not available  |
| CVE-2019-11477,  |connections to untrusted servers)         |at this time   |
| CVE-2019-11478,  +------------------------------------------+---------------+
|  CVE-2019-11479  |7.1 (only if configured with TCP client   |Not available  |
|                  |connections to untrusted servers)         |at this time   |
+------------------+------------------------------------------+---------------+

+-----------------------------------------------------------------------------+
|                            Content Analysis (CA)                            |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|                              |2.3                 |Not available at this    |
|       CVE-2019-11477,        |                    |time                     |
|       CVE-2019-11478,        +--------------------+-------------------------+
|        CVE-2019-11479        |2.4                 |Not available at this    |
|                              |                    |time                     |
+------------------------------+--------------------+-------------------------+

+-----------------------------------------------------------------------------+
|                                  Director                                   |
+-----------------------------+--------------------+--------------------------+
|             CVE             |Supported Version(s)|Remediation               |
+-----------------------------+--------------------+--------------------------+
|       CVE-2019-11478,       |6.1                 |Not available at this time|
|       CVE-2019-11479        |                    |                          |
+-----------------------------+--------------------+--------------------------+

+-----------------------------------------------------------------------------+
|                          Mail Threat Defense (MTD)                          |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|       CVE-2019-11477,        |                    |Not available at this    |
|       CVE-2019-11478,        |1.1                 |time                     |
|        CVE-2019-11479        |                    |                         |
+------------------------------+--------------------+-------------------------+

+-----------------------------------------------------------------------------+
|                            Malware Analysis (MA)                            |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|       CVE-2019-11477,        |                    |Not available at this    |
|       CVE-2019-11478,        |4.2                 |time                     |
|        CVE-2019-11479        |                    |                         |
+------------------------------+--------------------+-------------------------+

+-----------------------------------------------------------------------------+
|                           Management Center (MC)                            |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|                              |2.2                 |Not available at this    |
|       CVE-2019-11477,        |                    |time                     |
|       CVE-2019-11478,        +--------------------+-------------------------+
|        CVE-2019-11479        |2.3                 |Not available at this    |
|                              |                    |time                     |
+------------------------------+--------------------+-------------------------+

+-----------------------------------------------------------------------------+
|                         PacketShaper (PS) S-Series                          |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|                              |11.6                |Not available at this    |
|                              |                    |time                     |
|       CVE-2019-11477,        +--------------------+-------------------------+
|       CVE-2019-11478,        |11.9                |Not available at this    |
|        CVE-2019-11479        |                    |time                     |
|                              +--------------------+-------------------------+
|                              |11.10               |Not available at this    |
|                              |                    |time                     |
+------------------------------+--------------------+-------------------------+

+-----------------------------------------------------------------------------+
|                         PolicyCenter (PC) S-Series                          |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|       CVE-2019-11477,        |                    |Not available at this    |
|       CVE-2019-11478,        |1.1                 |time                     |
|        CVE-2019-11479        |                    |                         |
+------------------------------+--------------------+-------------------------+

+-----------------------------------------------------------------------------+
|                                  Reporter                                   |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|                              |10.3                |Not available at this    |
|       CVE-2019-11477,        |                    |time                     |
|       CVE-2019-11478,        +--------------------+-------------------------+
|        CVE-2019-11479        |10.4                |Not available at this    |
|                              |                    |time                     |
+------------------------------+--------------------+-------------------------+

+-----------------------------------------------------------------------------+
|                           Security Analytics (SA)                           |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|                              |7.2                 |Not available at this    |
|                              |                    |time                     |
|       CVE-2019-11477,        +--------------------+-------------------------+
|       CVE-2019-11478,        |7.3                 |Not available at this    |
|        CVE-2019-11479        |                    |time                     |
|                              +--------------------+-------------------------+
|                              |7.4                 |Not available at this    |
|                              |                    |time                     |
+------------------------------+--------------------+-------------------------+

+-----------------------------------------------------------------------------+
|                            SSL Visibility (SSLV)                            |
+------------------------------+--------------------+-------------------------+
|             CVE              |Supported Version(s)|Remediation              |
+------------------------------+--------------------+-------------------------+
|                              |3.10                |Not available at this    |
|                              |                    |time                     |
|                              +--------------------+-------------------------+
|                              |3.12                |Not available at this    |
|                              |                    |time                     |
|       CVE-2019-11477,        +--------------------+-------------------------+
|       CVE-2019-11478,        |4.4                 |Not available at this    |
|        CVE-2019-11479        |                    |time                     |
|                              +--------------------+-------------------------+
|                              |4.5                 |Not available at this    |
|                              |                    |time                     |
|                              +--------------------+-------------------------+
|                              |5.0                 |Not available at this    |
|                              |                    |time                     |
+------------------------------+--------------------+-------------------------+

+---------------------------------------------------------------------------+
|                            Web Isolation (WI)                             |
+-------------------------------+--------------------+----------------------+
|              CVE              |Supported Version(s)|Remediation           |
+-------------------------------+--------------------+----------------------+
|CVE-2019-11477, CVE-2019-11478,|1.12                |Upgrade to 1.12.21+433|
|        CVE-2019-11479         |                    |                      |
+-------------------------------+--------------------+----------------------+

+-----------------------------------------------------------------------------+
|                                X-Series XOS                                 |
+-----------------------------+--------------------+--------------------------+
|             CVE             |Supported Version(s)|Remediation               |
+-----------------------------+--------------------+--------------------------+
|                             |10.0                |Not vulnerable            |
|       CVE-2019-11477        +--------------------+--------------------------+
|                             |11.0                |Not available at this time|
+-----------------------------+--------------------+--------------------------+
|       CVE-2019-11478,       |10.0, 11.0          |Not available at this time|
|       CVE-2019-11479        |                    |                          |
+-----------------------------+--------------------+--------------------------+
|       CVE-2019-11815        |10.0, 11.0          |Under investigation       |
+-----------------------------+--------------------+--------------------------+

Additional Product Information



The following products are not vulnerable:
AuthConnector
BCAAA
CacheFlow (CF)
Cloud Data Protection (CDP) for Salesforce
Cloud Data Protection (CDP) for ServiceNow
Cloud Data Protection (CDP) for Oracle CRM on Demand
Cloud Data Protection (CDP) Communication Server
Cloud Data Protection (CDP) Integration Server
General Auth Connector Login Application
PacketShaper (PS)
PolicyCenter (PC)
ProxyAV
ProxyAV ConLog and ConLogXP
ProxySG
Symantec HSM Agent for the Luna SP
Unified Agent (UA)
WSS Agent (WSSA)
WSS Mobile Agent

Issues


+-----------------------------------------------------------------------------+
|                               CVE-2019-11815                                |
+-----------+-----------------------------------------------------------------+
|Severity / |High / 8.1 (AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H)                 |
|  CVSSv3   |                                                                 |
+-----------+-----------------------------------------------------------------+
|References |SecurityFocus: BID 108283 / NVD: CVE-2019-11815                  |
+-----------+-----------------------------------------------------------------+
|  Impact   |Denial of service, privilege escalation                          |
+-----------+-----------------------------------------------------------------+
|           |A user-after-free flaw in the RDS over TCP implementation allows |
|Description|a remote attacker to corrupt the target's memory or a local      |
|           |attacker to escalate their privileges on the system.             |
+-----------+-----------------------------------------------------------------+

+-----------------------------------------------------------------------------+
|                               CVE-2019-11477                                |
+-----------+-----------------------------------------------------------------+
|Severity / |High / 7.5 (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)                 |
|  CVSSv3   |                                                                 |
+-----------+-----------------------------------------------------------------+
|References |SecurityFocus: BID 108801 / NVD: CVE-2019-11477                  |
+-----------+-----------------------------------------------------------------+
|  Impact   |Denial of service                                                |
+-----------+-----------------------------------------------------------------+
|           |An integer overflow flag in TCP SACK processing allows a remote  |
|Description|attacker to send crafted SACK segments on a TCP connection and   |
|           |cause denial of service through memory corruption.               |
+-----------+-----------------------------------------------------------------+

+-----------------------------------------------------------------------------+
|                               CVE-2019-11478                                |
+-----------+-----------------------------------------------------------------+
|Severity / |High / 7.5 (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)                 |
|  CVSSv3   |                                                                 |
+-----------+-----------------------------------------------------------------+
|References |SecurityFocus: BID 108798 / NVD: CVE-2019-11478                  |
+-----------+-----------------------------------------------------------------+
|  Impact   |Denial of service                                                |
+-----------+-----------------------------------------------------------------+
|           |An excessive resource consumption flaw in TCP SACK processing    |
|Description|allows a remote attacker to send crafted SACK segments on a TCP  |
|           |connection and cause denial of service.                          |
+-----------+-----------------------------------------------------------------+

+-----------------------------------------------------------------------------+
|                               CVE-2019-11479                                |
+-----------+-----------------------------------------------------------------+
|Severity / |High / 7.5 (AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)                 |
|  CVSSv3   |                                                                 |
+-----------+-----------------------------------------------------------------+
|References |SecurityFocus: BID 108818 / NVD: CVE-2019-11479                  |
+-----------+-----------------------------------------------------------------+
|  Impact   |Denial of service                                                |
+-----------+-----------------------------------------------------------------+
|           |An excessive resource consumption flaw in TCP processing allows a|
|Description|remote attacker to send network traffic with low MSS on a TCP    |
|           |connection and cause denial of service.                          |
+-----------+-----------------------------------------------------------------+

References



[NFLX-2019-001] Linux and FreeBSD Kernel: Multiple TCP-based remote denial of
service vulnerabilities - https://github.com/Netflix/security-bulletins/blob/
master/advisories/third-party/2019-001.md

Revisions



2019-09-05 initial public release

- --------------------------END INCLUDED TEXT--------------------

You have received this e-mail bulletin as a result of your organisation's
registration with AusCERT. The mailing list you are subscribed to is
maintained within your organisation, so if you do not wish to continue
receiving these bulletins you should contact your local IT manager. If
you do not know who that is, please send an email to auscert@auscert.org.au
and we will forward your request to the appropriate person.

NOTE: Third Party Rights
This security bulletin is provided as a service to AusCERT's members.  As
AusCERT did not write the document quoted above, AusCERT has had no control
over its content. The decision to follow or act on information or advice
contained in this security bulletin is the responsibility of each user or
organisation, and should be considered in accordance with your organisation's
site policies and procedures. AusCERT takes no responsibility for consequences
which may arise from following or acting on information or advice contained in
this security bulletin.

NOTE: This is only the original release of the security bulletin.  It may
not be updated when updates to the original are made.  If downloading at
a later date, it is recommended that the bulletin is retrieved directly
from the author's website to ensure that the information is still current.

Contact information for the authors of the original document is included
in the Security Bulletin above.  If you have any questions or need further
information, please contact them directly.

Previous advisories and external security bulletins can be retrieved from:

        https://www.auscert.org.au/bulletins/

===========================================================================
Australian Computer Emergency Response Team
The University of Queensland
Brisbane
Qld 4072

Internet Email: auscert@auscert.org.au
Facsimile:      (07) 3365 7031
Telephone:      (07) 3365 4417 (International: +61 7 3365 4417)
                AusCERT personnel answer during Queensland business hours
                which are GMT+10:00 (AEST).
                On call after hours for member emergencies only.
===========================================================================
-----BEGIN PGP SIGNATURE-----
Comment: http://www.auscert.org.au/render.html?it=1967

iQIVAwUBXXHDwWaOgq3Tt24GAQjTYhAAnb9QA3+m1hyMw6cyZDZ3mOzQ7oDRJCqx
2VlHGBEAPp5JpQuCmkp/EYkrtMwsbNX1zBFtaf8btkOwPgVICvM+xgdJaL0QnAGa
BdgpSl55f64VgnxqB4/vllNiUMrAuSwqf+8vPxAgUncuBv4PDgv31ccVZ2N1FLGr
qqnMeHpmAkX1zQoVRB7z25UR1wP6Mno+STdul3RIcc7yZ/swq8uQVbpqrCzBmG/u
+gXNqwOLLUWWd/L3DjUzpG8uhVc9rTNrHDNyZxjmUJ2FKK0mbEEUN4XMEpln+S7l
VYTrHtEoCDtEAaUVXyLYAmYxIZWYbdDCBNjzJEmVyQdayACkjqbCSM3+ftx5cKG/
QxN1d1dPPZfiAV9nfKIfosmayRktc6N0lEvCzy70AVWpqEdFOJdOBjoQuPXMi8+8
0c0Cfd0ZTN/aA9LAUOXJfMd9tFo8O5E+Lejkl+lIgqrruD50+qh3u1V+1K4xgnMK
+1av1VMQ80kpWwDCs2YNZYC0qW1Y90B+4f8yHCvotByE1R3YEYeoiLvdhLEsdH+F
kZxp8amUY/hNsOkwaVrLg6HMv380a1AvfJekIX4uywXQdLwd0uOjdu9iDhSwPBRA
57Rp/ElEpwHn3KDrbkbSWcZvnISR6mA54mYBPqiokL3oPk7zRMGoLV8Rp7Qwq1YR
toOkLjiAYfg=
=K3IB
-----END PGP SIGNATURE-----